---
title: Execution Policy
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Execution Policy
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Execution Policy
Copy pageCopied
Execution policies control which actions Datadog Action Platform is allowed to run against your infrastructure, and where. Each policy pairs an effect (allow or deny) with a pattern of actions, and can scope that decision to specific Kubernetes namespaces, scripts, or remote shell paths.

## List execution policies → preview{% #list-execution-policies %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/actions/execution-policies |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/actions/execution-policies |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/actions/execution-policies      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/actions/execution-policies      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/actions/execution-policies  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/actions/execution-policies |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/actions/execution-policies     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/actions/execution-policies |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/actions/execution-policies |

## Create an execution policy → preview{% #create-an-execution-policy %}

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/actions/execution-policies |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/actions/execution-policies |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/actions/execution-policies      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/actions/execution-policies      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/actions/execution-policies  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/actions/execution-policies |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/actions/execution-policies     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/actions/execution-policies |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/actions/execution-policies |

## Get an execution policy → preview{% #get-an-execution-policy %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/actions/execution-policies/{policy_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/actions/execution-policies/{policy_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |

## Update an execution policy → preview{% #update-an-execution-policy %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/actions/execution-policies/{policy_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/actions/execution-policies/{policy_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |

## Delete an execution policy → preview{% #delete-an-execution-policy %}

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/actions/execution-policies/{policy_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/actions/execution-policies/{policy_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/actions/execution-policies/{policy_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/actions/execution-policies/{policy_id} |
